Update Planned Route Identifier

Update an existing preset route identifier.

This API supports a single record per call.

Response (Output) Params
ParameterDescription
*success**
boolean
Indicates whether the service completed successfully.
  • false* - the service failed.
  • true* - the service succeeded
*message**
string
If an error occurred, a message indicating the error is included.
*rc**
integer
If an error occurred, the return code is included.
*created_at**
datetime
The timestamp when the user was created. This is in UTC and the format is "%Y-%m-%dT%H:%M:%S%z".
*external_id**
string
Your system's ID for this planned route identifier.
*external_team_id**
string
Your system's ID for the team to which this planned route identifier is assigned.
*id**
integer
The Bringg ID for this planned route identifier.
*priority**
integer
Indicates the hierarchy among your route identifiers. The route identifier with the highest priority receives the route scheduled to leave first.
*team_id**
integer
Bringg's ID for the team to which this planned route identifier is assigned.
*title**
string
The title of the planned route identifier as it appears in the Bringg UI (for example, in the Route Name column).
*updated_at**
datetime
The last date and time this team was updated. This is in UTC and the format is "%Y-%m-%dT%H:%M:%S%z".
Body Params
int32
required

Bringg internal ID of the preset route identifier record. Required if no external_id, can not be updated.

string
required

Your ID for the preset route identifier record. Must be unique per merchant. Cannot be updated if used as the entity’s unique ID.

string

The title appears in the Bringg UI (ex. Route Name column). Must be unique per team.

int32

Indicates the hierarchy among your route identifiers. The route identifier with the highest priority receives the route scheduled to leave first.

string

Your ID for the team. You must include either team_id or external_team_id.

int32

Bringg’s ID for the team. You must include either team_id or external_team_id. If both are included, team_id is the default over external_team_id.

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json